# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetTableTypesReq

Packages that use TGetTableTypesReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetTableTypesReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetTableTypesReq
Modifier and Type
Class
Description
`class`
`TGetTableTypesReq`
`class`
`TGetTableTypesReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetTableTypesReq
Modifier and Type
Field
Description
`TGetTableTypesReq`
TCLIService.GetTableTypes_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetTableTypesReq
Modifier and Type
Method
Description
`TGetTableTypesReq`
TGetTableTypesReq.`deepCopy()`
`TGetTableTypesReq`
TCLIService.GetTableTypes_args.`getReq()`
`TGetTableTypesReq`
TGetTableTypesReq.`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`TGetTableTypesReq`
TGetTableTypesReq.`setRunAsync(boolean runAsync)`
`TGetTableTypesReq`
TGetTableTypesReq.`setSessionHandle(TSessionHandle sessionHandle)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetTableTypesReq
Modifier and Type
Method
Description
`int`
TGetTableTypesReq.`compareTo(TGetTableTypesReq other)`
`boolean`
TGetTableTypesReq.`equals(TGetTableTypesReq that)`
`void`
TCLIService.AsyncClient.`GetTableTypes(TGetTableTypesReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTableTypesResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetTableTypes(TGetTableTypesReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTableTypesResp> resultHandler)`
`TGetTableTypesResp`
TCLIService.Client.`GetTableTypes(TGetTableTypesReq req)`
`TGetTableTypesResp`
TCLIService.Iface.`GetTableTypes(TGetTableTypesReq req)`
`void`
TCLIService.Client.`send_GetTableTypes(TGetTableTypesReq req)`
`TCLIService.GetTableTypes_args`
TCLIService.GetTableTypes_args.`setReq(TGetTableTypesReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetTableTypesReq
Modifier
Constructor
Description
``
`GetTableTypes_args(TGetTableTypesReq req)`
``
`GetTableTypes_call(TGetTableTypesReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTableTypesResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TGetTableTypesReq(TGetTableTypesReq other)`
Performs a deep copy on other.